data:extend(
{

-- Heavy Oil

  {
    type = "recipe",
    name = "fill-heavy-oil-barrel",
    category = "chemistry",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[fill-heavy-oil-barrel]",
    enabled = "false",
    icon = "__OWL__/graphics/icons/fill-heavy-oil-barrel.png",
    ingredients =
    {
      {type="fluid", name="heavy-oil", amount=20},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="heavy-oil-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "empty-heavy-oil-barrel",
    category = "chemistry",
    energy_required = 1,
    subgroup = "barrel",
    order = "c[empty-heavy-oil-barrel]",
    enabled = "false",
    icon = "__OWL__/graphics/icons/empty-heavy-oil-barrel.png",
    ingredients =
    {
      {type="item", name="heavy-oil-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="heavy-oil", amount=20},
      {type="item", name="empty-barrel", amount=1}
    }
  },
  
-- Light Oil

   {
    type = "recipe",
    name = "fill-light-oil-barrel",
    category = "chemistry",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[fill-light-oil-barrel]",
    enabled = "false",
    icon = "__OWL__/graphics/icons/fill-light-oil-barrel.png",
    ingredients =
    {
      {type="fluid", name="light-oil", amount=20},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="light-oil-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "empty-light-oil-barrel",
    category = "chemistry",
    energy_required = 1,
    subgroup = "barrel",
    order = "c[empty-light-oil-barrel]",
    enabled = "false",
    icon = "__OWL__/graphics/icons/empty-light-oil-barrel.png",
    ingredients =
    {
      {type="item", name="light-oil-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="light-oil", amount=20},
      {type="item", name="empty-barrel", amount=1}
    }
  },
 
 -- petroleum-gas
 
    {
    type = "recipe",
    name = "fill-petroleum-gas-barrel",
    category = "chemistry",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[fill-petroleum-gas-barrel]",
    enabled = "false",
    icon = "__OWL__/graphics/icons/fill-petro-gas-barrel.png",
    ingredients =
    {
      {type="fluid", name="petroleum-gas", amount=20},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="petroleum-gas-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "empty-petroleum-gas-barrel",
    category = "chemistry",
    energy_required = 1,
    subgroup = "barrel",
    order = "c[empty-petroleum-gas-barrel]",
    enabled = "false",
    icon = "__OWL__/graphics/icons/empty-petro-gas-barrel.png",
    ingredients =
    {
      {type="item", name="petroleum-gas-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="petroleum-gas", amount=20},
      {type="item", name="empty-barrel", amount=1}
    }
  },
 
-- lubricant 
 
    {
    type = "recipe",
    name = "fill-lubricant-barrel",
    category = "chemistry",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[fill-lubricant-barrel]",
    enabled = "false",
    icon = "__OWL__/graphics/icons/fill-lubricant-barrel.png",
    ingredients =
    {
      {type="fluid", name="lubricant", amount=20},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="lubricant-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "empty-lubricant-barrel",
    category = "chemistry",
    energy_required = 1,
    subgroup = "barrel",
    order = "c[empty-lubricant-barrel]",
    enabled = "false",
    icon = "__OWL__/graphics/icons/empty-lubricant-barrel.png",
    ingredients =
    {
      {type="item", name="lubricant-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="lubricant", amount=20},
      {type="item", name="empty-barrel", amount=1}
    }
  }, 
 
-- sulfuric-acid

  {
    type = "recipe",
    name = "fill-sulfuric-acid-barrel",
    category = "chemistry",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[fill-sulfuric-acid-barrel]",
    enabled = "false",
    icon = "__OWL__/graphics/icons/fill-sulfuric-acid-barrel.png",
    ingredients =
    {
      {type="fluid", name="sulfuric-acid", amount=20},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="sulfuric-acid-barrel", amount=1}
    }
  },
  
	{
    type = "recipe",
    name = "empty-sulfuric-acid-barrel",
    category = "chemistry",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[empty-sulfuric-acid-barrel]",
    enabled = "false",
    icon = "__OWL__/graphics/icons/empty-sulfuric-acid-barrel.png",
    ingredients =
    {
	  {type="item", name="sulfuric-acid-barrel", amount=1},
    },
    results=
    {
      {type="fluid", name="sulfuric-acid", amount=20},
      {type="item", name="empty-barrel", amount=1},
    }
  },

-- WaterWorks

--    {
--    type = "recipe",
--    name = "fill-water-barrel",
--    category = "OWL-WaterWorks",
--	category = "chemistry",
--    energy_required = 1,
--   subgroup = "barrel",
--    order = "b[fill-water-barrel]",
--    enabled = "false",
--    icon = "__OWL__/graphics/icons/fill-water-barrel.png",
--    ingredients =
--    {
--      {type="fluid", name="water", amount=20},
--      {type="item", name="empty-barrel", amount=1},
--    },
--    results=
--    {
--      {type="item", name="water-barrel", amount=1}
--    }
--  },
  
--  {
--    type = "recipe",
--    name = "empty-water-barrel",
--    category = "OWL-WaterWorks",
--	category = "chemistry",
--    energy_required = 0.1,
--    subgroup = "barrel",
--    order = "c[empty-water-barrel]",
--    enabled = "false",
--    icon = "__OWL__/graphics/icons/empty-water-barrel.png",
--    ingredients =
--    {
--      {type="item", name="water-barrel", amount=1}
--    },
--    results=
--    {
--      {type="fluid", name="water", amount=20},
--      {type="item", name="empty-barrel", amount=1}
--    }
--  }, 

-- conversion recipes


-- 0.9.0
--  {
--    type = "recipe",
--    name = "refine-heavy-oil",
--    category = "oil-processing",
--    energy_required = 2,
--    subgroup = "barrel",
--    order = "b[refine-heavy-oil]",
--    enabled = "false",
--    icon = "__OWL__/graphics/icons/process-heavy-oil.png",
--    ingredients =
--    {
--      {type="fluid", name="heavy-oil", amount=10},
--    },
--    results=
--    {
--      {type="fluid", name="light-oil", amount=5},
--	  {type="fluid", name="tar", amount=2}
--    }
--  },

--  {
--    type = "recipe",
--    name = "refine-light-oil",
--    category = "oil-processing",
--    energy_required = 3,
--    subgroup = "barrel",
--    order = "b[refine-light-oil]",
--    enabled = "false",
--    icon = "__OWL__/graphics/icons/process-light-oil.png",
--    ingredients =
--    {
--      {type="fluid", name="light-oil", amount=10},
--    },
--    results=
--    {
--      {type="fluid", name="petroleum-gas", amount=5},
--	  {type="fluid", name="tar", amount=2}
--    }
--  },

	{
    type = "recipe",
    name = "composite-wall",
    category = "chemistry",
    energy_required = 3,
    order = "b[composite-wall]",
    enabled = "false",
    icon = "__OWL__/graphics/icons/composite-wall.png",
    ingredients =
    {
      {type="item", name="stone", amount=5},
      {type="fluid", name="tar", amount=2},
    },
    results=
    {
      {type="item", name="composite-wall", amount=1}
    }
  },

-- 0.9.1

  {
    type = "recipe",
    name = "remove-impurities",
    category = "chemistry",
    energy_required = 2,
    subgroup = "fluid",
    order = "b[fluid-chemistry]-c[remove-impurities]",
    enabled = "false",
    icon = "__OWL__/graphics/icons/process-heavy-oil.png",
    ingredients =
    {
      {type="fluid", name="crude-oil", amount=10},
    },
    results=
    {
      {type="fluid", name="heavy-oil", amount=5},
	  {type="fluid", name="tar", amount=5}
    }
  },
  
  {
    type = "recipe",
    name = "distill-crude",
    category = "chemistry",
    energy_required = 2,
    subgroup = "fluid",
    order = "b[fluid-chemistry]-c[distill-crude]",
    enabled = "false",
    icon = "__OWL__/graphics/icons/process-heavy-oil.png",
    ingredients =
    {
      {type="fluid", name="crude-oil", amount=6},
	  {type="fluid", name="sulfuric-acid", amount=4},
    },
    results=
    {
      {type="item", name="plastic-bar", amount=2},
	  {type="fluid", name="tar", amount=2},
	  {type="fluid", name="petroleum-gas", amount=6}
    }
  }  
  
  
}
)
  