data:extend(
{

-- Adv. Fluid Handling

  {
    type = "technology",
    name = "adv-fluid-handling",
    icon = "__base__/graphics/technology/fluid-handling.png",
    prerequisites = {"fluid-handling"},
    effects =
    {
-- heavy
      {
        type = "unlock-recipe",
        recipe = "fill-heavy-oil-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-heavy-oil-barrel"
      },
-- light
      {
        type = "unlock-recipe",
        recipe = "fill-light-oil-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-light-oil-barrel"
      },
-- petroleum-gas	  
      {
        type = "unlock-recipe",
        recipe = "fill-petroleum-gas-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-petroleum-gas-barrel"
      },  
-- lubricant	  
      {
        type = "unlock-recipe",
        recipe = "fill-lubricant-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-lubricant-barrel"
      },
-- sulfuric-acid
      {
        type = "unlock-recipe",
        recipe = "fill-sulfuric-acid-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-sulfuric-acid-barrel"
      },	  
    },
	
-- NOTE: DEBUG VALUES IN PLACE	
	
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 25
    },
    order = "d-a-a"
  },
  
  
  {
    type = "technology",
    name = "byproduct-refining",
    icon = "__base__/graphics/technology/fluid-handling.png",
    prerequisites = {"adv-fluid-handling"},
    effects =
    {
-- refinery recipes
--      {
--       type = "unlock-recipe",
--        recipe = "refine-heavy-oil"
--      },
--      {
--        type = "unlock-recipe",
--        recipe = "refine-light-oil"
--      },
-- wall recipe
      {
        type = "unlock-recipe",
        recipe = "composite-wall"
      },
-- 0.9.1	  
      {
        type = "unlock-recipe",
        recipe = "remove-impurities"
      },	  
      {
        type = "unlock-recipe",
        recipe = "distill-crude"
      },	  
	  	  
     },
	
-- NOTE: DEBUG VALUES IN PLACE	
	
    unit =
    {
      count = 75,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 20
    },
    order = "d-a-a"
  },  
  
}
) 
  
  